<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Transaction;
use App\PtcView;
use App\Notice;
use Illuminate\Http\Request;

class ReportController extends Controller
{
    public function transaction()
    {
        $page_title = 'Transaction Logs';
        $transactions = Transaction::with('user')->latest()->paginate(getPaginate());
        $empty_message = 'No transactions.';
        return view('admin.reports.transactions', compact('page_title', 'transactions', 'empty_message'));
    }

    public function transactionSearch(Request $request)
    {
        $request->validate(['search' => 'required']);
        $search = $request->search;
        $page_title = 'Transactions Search - ' . $search;
        $empty_message = 'No transactions.';

        $transactions = Transaction::with('user')->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->orWhere('trx', $search)->paginate(getPaginate());

        return view('admin.reports.transactions', compact('page_title', 'transactions', 'empty_message'));
    }

    public function ptcview()
    {
        $page_title = 'PTC View Logs';
        $ptcviews = PtcView::latest()->with(['user','ptc'])->paginate(getPaginate());
        $empty_message = 'No PTC View Yet.';
        return view('admin.reports.ptcview', compact('page_title', 'ptcviews', 'empty_message'));
    }

    public function ptcviewSearch(Request $request)
    {
        $request->validate(['search' => 'required']);
        $search = $request->search;
        $page_title = 'PTC View Search - ' . $search;
        $empty_message = 'No PTC View.'; 

        $ptcviews = PtcView::latest()->with(['user','ptc'])->whereHas('user', function ($user) use ($search) {
            $user->where('username', 'like',"%$search%");
        })->paginate(getPaginate());
        return view('admin.reports.ptcview', compact('page_title', 'ptcviews', 'empty_message','search'));
    }
    
    public function notice()
    {
        $page_title = 'Notice View';
        $notice = Notice::first();
        return view('admin.notice', compact('page_title','notice'));
    }
    
    public function update(Request $request)
    {
        $notice = Notice::first();
        $notice->notice = $request->notice;
        $notice->noticeag = $request->noticeag;
        $notice->telegramus = $request->telegramus;
        $notice->telegramag = $request->telegramag;
        $notice->playstore = $request->playstore;
        $notice->save();
        $notify[] = ['success', 'Notice has been updated.'];
        return back()->withNotify($notify);
    }
    
    
}
