@extends('admin.layouts.app')


@section('panel')
    <div class="row mb-none-30">
        <div class="col-lg-4 col-md-4 mb-30">
            <div class="card b-radius--10 overflow-hidden mt-30 box--shadow1">
                <div class="card-body">
                <h5 class="mb-20 text-muted"></h5>

                    <div class="p-3 bg--white">
                        <div class="">
                            <img src="{{ get_image('assets/images/user/profile/'.$data->image) }}" alt="profile-image"
                                 class="b-radius--10 depo-img">
                        </div>
                    </div>
                    <ul class="list-group">

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Plan name')
                            <span class="font-weight-bold">{{$data->plan->name}}</span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Trx Number')
                            <span class="font-weight-bold">{{$data->trx}}</span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Username')
                            <span class="font-weight-bold">
                                <a href="{{ route('admin.users.detail', $data->user_id) }}">{{$data->user->username}}</a>
                            </span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Amount')
                            <span
                                class="font-weight-bold">{{$data->plan->price}} {{ $general->cur_text }}</span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Status')
                            @if($data->status == 2)
                                <span class="badge badge-pill bg--warning">@lang('Pending')</span>
                            @elseif($data->status == 1)
                                <span class="badge badge-pill bg--success">@lang('Approved')</span>
                            @elseif($data->status == 3)
                                <span class="badge badge-pill bg--danger">@lang('Rejected')</span>
                            @endif
                        </li>
                        <form action="{{ route('admin.agent.update.approve') }}" method="POST">
                    @csrf
                    <input type="hidden"  name="id" value="{{$data->id}}">
                    <input type="hidden"  name="plan_id" value="{{ $data->plan_id }}">
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success">@lang('Approve')</button>
                    </div>
                </form>
                <form action="{{Route ('admin.agent.update.rej') }}" method="POST">
                    @csrf
                    <input type="hidden" name="id"  value="{{$data->id}}">
                    <input type="hidden" name="status" value="3">
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-danger">@lang('Reject')</button>
                    </div>
                </form>

                    </ul>
                </div>
            </div>
        </div>
    </div>

@endsection
@push('style')
<style type="text/css">
    .depo-img{
        max-width:100px; 
        max-height:100px; 
        margin:0 auto;
    }
</style>
@endpush