<!DOCTYPE html>
<html lang="en">

@include('templates.basic.agent.partial.header')
<!--------------- Plan view start ------------------>
<div class="main-content">
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                @foreach ($add as $plan)
                <div class="col-xl-3 col-md-6">
                    <div class="card plan-box">
                        <div class="card-body p-4">
                            <div class="d-flex">
                                <div class="flex-grow-1">
                                    <h5>{{ __($plan->name) }}</h5>
                                    <p class="text-muted">{{ __($plan->price) }} {{ $general->cur_text }}</p>
                                </div>
                                <div class="flex-shrink-0 ms-3">
                                    <i class="bx bx-walk h1 text-primary"></i>
                                </div>
                            </div>
                            <div class="py-4">
                                <h2><small> {{ $plan->price }} </small> {{ __($general->cur_text) }} <span class="font-size-13"></span></h2>
                            </div>
                            <div class="text-center plan-btn">
                                @if (auth()->check())
                                <button class="btn btn-primary btn-sm waves-effect waves-light buyBtn" data-id="{{ $plan->id }}">@lang('Add blance')</button>
                                @endif
                                
                            </div>

                            <div class="plan-features mt-5">
                                <p><i class="bx bx-checkbox-square text-primary me-2"></i> @lang('Bonus'): {{ $general->cur_sym }}
                                    {{ getAmount($plan->bonus) }}</p>
                                <p><i class="bx bx-checkbox-square text-primary me-2"></i> @lang('Amount') : {{ $plan->price }} {{ __($general->cur_text) }}</p>
                            </div>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </div>
</div>


    <div id="BuyModal" class="modal fade" role="dialog">
        <div class="modal-dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">@lang('Confirmation')</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <form action="{{ route('user.add.balance.req') }}" method="POST" enctype="multipart/form-data">
                    <div class="modal-body text-center">

                        {{ csrf_field() }}
                        <div class="form-group m-0">
                            <input type="hidden" name="id">
                        </div>
                        <strong>@lang('Are you sure to subscribe this plan ?')</strong>
                        <p>{{ $plan->description }}</p>
                        <div class="form-group">
                            <label>Transaction id</label>
                            <input type="text" name="trx" class="form-control pt-3">
                        </div>
                        <div class="form-group">
                            <label>Payment Screenshot</label>
                            <input type="file" name="image">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-danger" data-dismiss="modal">@lang('Close')</button>
                        <button type="submit" class="btn btn-success">@lang('Confirm')</button>
                    </div>

                </form>
            </div>

        </div>
    </div>



    <!--------------- Plan view end -------------------->
</div> <!-- page-wrapper end -->
<!-- jQuery library -->
<script src="{{ asset($activeTemplateTrue . '/js/vendor/jquery-3.5.1.min.js') }}"></script>
<!-- bootstrap js -->
<script src="{{ asset($activeTemplateTrue . '/js/vendor/bootstrap.bundle.min.js') }}"></script>
<!-- lightcase plugin -->
<script src="{{ asset($activeTemplateTrue . '/js/vendor/lightcase.js') }}"></script>
<!-- custom select js -->
<script src="{{ asset($activeTemplateTrue . '/js/vendor/jquery.nice-select.min.js') }}"></script>
<!-- slick slider js -->
<script src="{{ asset($activeTemplateTrue . '/js/vendor/slick.min.js') }}"></script>
<!-- scroll animation -->
<script src="{{ asset($activeTemplateTrue . '/js/vendor/wow.min.js') }}"></script>
<!-- dashboard custom js -->
<script src="{{ asset($activeTemplateTrue . '/js/app.js') }}"></script>

</body>


@stack('script')
<script type="text/javascript">
    (function($, document) {
        "use strict";
        $(document).on('change', '#langSel', function() {
            var code = $(this).val();
            window.location.href = "{{ url('/') }}/change-lang/" + code;
        });

    })(jQuery, document);
</script>
<script type="text/javascript">
    (function($) {
        "use strict";
        $('.buyBtn').click(function() {
            var modal = $('#BuyModal');
            modal.find('input[name=id]').val($(this).data('id'));
            modal.modal('show');
        });
    })(jQuery);
</script>
</body>

</html>
