@extends($activeTemplate .'layouts.user')
@section('content')
<style>
    /* Set height of body and the document to 100% to enable "full page tabs" */
body, html {
  height: 100%;
  margin: 0;
  font-family: Arial;
  color: black;
}

/* Style tab links */
.tablink {
  background-color: #555;
  color: white;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  font-size: 17px;
  width: 25%;
}
.tablink {
    background-color: #555;
    color: white;
    float: left;
    /* border: none; */
    /* outline: none; */
    /* cursor: pointer; */
    /* padding: 14px 14px; */
    padding: 13px;
    font-size: 17px;
     width: auto; 
}
h3, .h3 {
    font-size: 1.75rem;
    color:black;
}

.tablink:hover {
  background-color: #777;
}

/* Style the tab content (and add height:100% for full page content) */
.tabcontent {
  color: white;
  display: none;
  padding: 100px 20px;
  height: 100%;
}
.modal-backdrop {
    /* bug fix - no overlay */    
    display: none;    
}
@media (max-width: 767px){
.table-responsive--sm tr td {
    display: block;
    padding-left: 0 !important ; 
     text-align: center !important ; 
}
</style>
<div class="row">
    <div class="col-md-12">
        <button class="tablink" onclick="openPage('deposit')" id="defaultOpen">Deposit</button>
        <button class="tablink" onclick="openPage('withdraw')">Withdraw</button>
        <div id="deposit" class="tabcontent">
            <h3>Deposit</h3>
            <div class="main-card mb-3 card">
                <div class="card table-card">
                    <div class="card-body p-o">
                        <div class="table-responsive--sm">
                            <table class="table table-striped">
                                <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">@lang('Gateway Name')</th>
                                        <th scope="col">@lang('Minimum Deposit')</th>
                                        <th scope="col">@lang('Maximum Deposit')</th>
                                        <th scope="col">@lang('Charge')</th>
                                        <th scope="col">@lang('Currency')</th>
                                        <th scope="col">@lang('Currency Rate')</th>
                                        <th scope="col">@lang('Deposit Now')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (count($deposit) > 0)
                                    @foreach($deposit as $dep)
                                    <tr>
                                    <td data-label="Gateway Name">{{ $dep->gateway }}</td>
                                    <td data-label="Minimum Deposit">{{ getAmount($dep->min) }}</td>
                                    <td data-label="Maximum Deposit">{{ getAmount($dep->max) }}</td>
                                    <td data-label="Charge">{{ getAmount($dep->charge) }}</td>
                                    <td data-label="Currency">{{ $dep->currencies}}</td>
                                    <td data-label="Currency Rate">{{ $dep->currencies_rate}}</td>
                                    
                                    <td data-label="Deposit Now" style="margin-bottom: 10px;color: black;background: #f7b924;"><a href="{{ route('user.agent.dep', $dep->id) }}" class="icon-btn ml-1" title="" 
                                    data-original-title="Edit">Deposit now</a></td ></tr><br>
                                    @endforeach
                                    @else
                                        <tr>
                                            <td colspan="100%" class="text-center" aling="center"> @lang('No results found')!</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

        </div>
    </div>

    <div id="withdraw" class="tabcontent">
        <h3>Withdraw</h3>
        <div class="main-card mb-3 card">
                <div class="card table-card">
                    <div class="card-body p-o">
                        <div class="table-responsive--sm">
                            <table class="table table-striped">
                                <thead class="thead-dark">
                                    <tr>
                                        <th scope="col">@lang('Gateway Name')</th>
                                        <th scope="col">@lang('Minimum Deposit')</th>
                                        <th scope="col">@lang('Maximum Deposit')</th>
                                        <th scope="col">@lang('Charge')</th>
                                        <th scope="col">@lang('Currency')</th>
                                        <th scope="col">@lang('Currency Rate')</th>
                                        <th scope="col">@lang('Withdraw Now')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (count($withdraw) > 0)
                                    @foreach($withdraw as $deps)
                                    <tr>
                                    <td data-label="Gateway Name">{{ $deps->name }}</td>
                                    <td data-label="Minimum Deposit">{{ getAmount($deps->min_limit) }}</td>
                                    <td data-label="Maximum Deposit">{{ getAmount($deps->max_limit) }}</td>
                                    <td data-label="Charge">{{ getAmount($deps->charge) }}</td>
                                    <td data-label="Currency">{{ $deps->currency}}</td>
                                    <td data-label="Currency Rate">{{ $deps->rate}}</td>
                                    <td data-label="Withdraw Now"><a href="{{ route('user.agent.with', $deps->id) }}" class="icon-btn ml-1" title="" 
                                    data-original-title="Edit">withdraw Now</a></td></tr>
                                    @endforeach
                                    @else
                                        <tr>
                                            <td colspan="100%" class="text-center"> @lang('No results found')!</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

        </div>
    </div>
</div>



    <script>
        function openPage(pageName, elmnt, color) {
  // Hide all elements with class="tabcontent" by default */
  var i, tabcontent, tablinks;
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }

  // Remove the background color of all tablinks/buttons
  tablinks = document.getElementsByClassName("tablink");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].style.backgroundColor = "";
  }

  // Show the specific tab content
  document.getElementById(pageName).style.display = "block";

  // Add the specific color to the button used to open the tab content
  elmnt.style.backgroundColor = color;
}

// Get the element with id="defaultOpen" and click on it
document.getElementById("defaultOpen").click();
    </script>
@endsection