
@extends($activeTemplate .'layouts.main')
@section('content')


<div class="min-h-screen bg-[#ebebeb] pb-10">
    <a href="/user/dashboard" class="h-14 w-full bg-[#0c0ce8] pl-4  gap-5 shadow text-white flex items-center "><svg
            xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" aria-hidden="true"
            class="h-7 font-bold cursor-pointer w-7">
            <path fill-rule="evenodd"
                d="M7.72 12.53a.75.75 0 010-1.06l7.5-7.5a.75.75 0 111.06 1.06L9.31 12l6.97 6.97a.75.75 0 11-1.06 1.06l-7.5-7.5z"
                clip-rule="evenodd"></path>
        </svg>
        <h2 class="text-xl font-bold">Deposit History </h2>
    </a>
    @foreach($logs as $k=>$data)

    <div class="bg-white m-5 rounded-lg overflow-hidden">
        <div
            class="border-b rounded-b-none border-gray-300 flex px-4 justify-between items-center gap-2 p-2 mb-2 rounded-lg">
            <div class="flex items-center gap-2"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
                    fill="currentColor" aria-hidden="true" class="h-8 text-green-600 cursor-pointer w-8 ">
                    <path fill-rule="evenodd"
                        d="M12 2.25c-5.385 0-9.75 4.365-9.75 9.75s4.365 9.75 9.75 9.75 9.75-4.365 9.75-9.75S17.385 2.25 12 2.25zm4.28 10.28a.75.75 0 000-1.06l-3-3a.75.75 0 10-1.06 1.06l1.72 1.72H8.25a.75.75 0 000 1.5h5.69l-1.72 1.72a.75.75 0 101.06 1.06l3-3z"
                        clip-rule="evenodd"></path>
                </svg>
                <div>
                    <h2 class="text-lg -mb-1">
                           @if($data->status == 1)
                                <span class="badge badge-success">@lang('Complete')</span>
                            @elseif($data->status == 2)
                                <span class="badge badge-warning">@lang('Pending')</span>
                            @elseif($data->status == 3)
                                <span class="badge badge-danger">@lang('Cancel')</span>

                            @endif
                    </h2>
                    <p class="text-sm text-red-700"><?php echo e($data->trx); ?></p>
                </div>
            </div>
            <div>
                <h3 class="text-right"> <?php echo e(getAmount($data->amount)); ?> <?php echo e($general->cur_text); ?></h3>
                <p class="text-right text-sm text-gray-700"><?php echo e(date('d M, Y', strtotime($data->created_at))); ?></p>
            </div>
        </div>
    </div>
    @endforeach

    
    <?php echo e($logs->links($activeTemplate.'paginate')); ?>

</div>

@endsection
