
<?php $__env->startSection('panel'); ?>

<?php
$gets = App\Plan::where(['status'=>1])->get();
?>

<div class="row">
    <div class="col-md-12">

        <div class="card">
            <div class="card-body">

                <form role="form" method="POST" action="<?php echo e(route("admin.ptc.store")); ?>" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>


                    <div class="row">

                       <div class="form-group col-md-8">
                        <label><?php echo app('translator')->get('Title of the Ad'); ?> <span class="text-danger">*</span></label>
                        <input type="text" name="title" class="form-control form-control-lg" value="<?php echo e(old('title')); ?>" placeholder="<?php echo app('translator')->get('Title'); ?>" required>
                    </div>

                    <div class="form-group col-md-4">
                        <label><?php echo app('translator')->get('Amount'); ?> <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <input type="text" name="amount" class="form-control form-control-lg" value="<?php echo e(old('amount')); ?>" placeholder="<?php echo app('translator')->get('User will get ...'); ?>" required>
                            <div class="input-group-append">
                                <div class="input-group-text"> <?php echo e($general->cur_text); ?> </div>
                            </div>
                        </div>
                    </div>  


                    <div class="form-group col-md-4">
                        <label><?php echo app('translator')->get('Duration'); ?> <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <input type="text" name="duration" class="form-control form-control-lg" value="<?php echo e(old('duration')); ?>" placeholder="<?php echo app('translator')->get('Duration'); ?>" required>
                            <div class="input-group-append">
                                <div class="input-group-text"><?php echo app('translator')->get('SECONDS'); ?></div>
                            </div>
                        </div>
                    </div>  

                    <div class="form-group col-md-4">
                        <label><?php echo app('translator')->get('Maximum Show'); ?> <span class="text-danger">*</span></label>
                        <div class="input-group">
                            <input type="text" name="max_show" class="form-control form-control-lg" value="<?php echo e(old('max_show')); ?>" placeholder="<?php echo app('translator')->get('Maximum Show'); ?> " required>
                            <div class="input-group-append">
                                <div class="input-group-text"><?php echo app('translator')->get('Times'); ?></div>
                            </div>
                        </div>
                    </div>  
                    <div class="form-group col-md-4">
                        <label><?php echo app('translator')->get('Choice plan'); ?> <span class="text-danger">*</span></label>
                        
                        <select class="form-control custom-select" name="plan_id" >
                            <option value="">--Select any plan--</option>
                            <?php $__currentLoopData = $gets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($plan->id); ?>"><?php echo e($plan->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>




                    <div class="form-group col-md-4">
                        <label><?php echo app('translator')->get('Status'); ?></label>
                        <input type="checkbox" data-width="100%" data-onstyle="-success" data-offstyle="-danger" data-toggle="toggle" data-on="Active" data-off="Inactive" name="status">
                    </div>
                </div>






                <div class="row pt-5 mt-5 border-top">

                    <div class="form-group col-md-4">
                        <label for="ads_type"><?php echo app('translator')->get('Advertisement Type'); ?></label>
                        <select class="form-control form-control-lg" id="ads_type" onchange="onChange(this.value)" name="ads_type" >
                            <option value="1" <?php echo e(old('ads_type')==1?'selected':''); ?>><?php echo app('translator')->get('Link / URL'); ?></option>
                            <option value="2" <?php echo e(old('ads_type')==2?'selected':''); ?>><?php echo app('translator')->get('Banner / Image'); ?></option>
                            <option value="3" <?php echo e(old('ads_type')==3?'selected':''); ?>><?php echo app('translator')->get('Script / Code'); ?></option>
                        </select>
                    </div>
                    <div class="form-group col-md-8" id="websiteLink">
                        <label><?php echo app('translator')->get('Link'); ?> <span class="text-danger">*</span></label>
                        <input type="text" name="website_link" class="form-control form-control-lg" value="<?php echo e(old('website_link')); ?>" placeholder="<?php echo app('translator')->get('http://example.com'); ?>">
                    </div>
                    <div class="form-group col-md-8 d-none" id="bannerImage">
                        <label><?php echo app('translator')->get('Banner'); ?> <span class="text-danger">*</span></label>
                        <input type="file" class="form-control form-control-lg"  name="banner_image">
                    </div>
                    <div class="form-group col-md-8 d-none" id="script">
                        <label><?php echo app('translator')->get('Script'); ?> <span class="text-danger">*</span></label>
                        <textarea  name="script" class="form-control form-control-lg"><?php echo e(old('script')); ?></textarea>
                    </div>
                </div>

                <div class="row pt-5 mt-5 border-top">
                    <div class="form-group col-md-12">
                        <button type="submit" class="btn btn--primary btn-block btn-lg"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
<a href="<?php echo e(route('admin.ptc.index')); ?>" class="icon-btn"><i class="fa fa-fw fa-backward"></i> <?php echo app('translator')->get('Go Back'); ?> </a>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('script'); ?>
<script>
    (function($){
        "use strict";
        $('#ads_type').change(function(){
            var adType = $(this).val();
            if (adType == 1) {
                $("#websiteLink").removeClass('d-none');
                $("#bannerImage").addClass('d-none');
                $("#script").addClass('d-none');
            } else if (adType == 2) {
                $("#bannerImage").removeClass('d-none');
                $("#websiteLink").addClass('d-none');
                $("#script").addClass('d-none');
            } else {
                $("#bannerImage").addClass('d-none');
                $("#websiteLink").addClass('d-none');
                $("#script").removeClass('d-none');
            }
        });
    })(jQuery);
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rhonline/orgearn.com/core/resources/views/admin/ptc/create.blade.php ENDPATH**/ ?>