@extends('admin.layouts.app')

@section('panel')
<div class="row">
        <div class="col-lg-12">
            <div class="card b-radius--10 ">
                <div class="card-body p-0">
                    <div class="table-responsive--md  table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                            <tr>
                                <th>@lang('Agent Name')</th>
                                <th>@lang('Country')</th>
                                <th>@lang('Nid number')</th>
                                <th>@lang('image')</th>
                                <th>@lang('status')</th>
                                <th>@lang('action')</th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($agentlist as $user)
                            <tr>
                                <td data-label="@lang('User')">
                                    <span class="font-weight-bold">{{$user->user->username}}</span>
                                </td>
                                <td data-label="@lang('Country')">
                                    <span class="font-weight-bold">{{$user->country}}</span>
                                </td>
                                <td data-label="@lang('Address')">
                                    <span class="font-weight-bold">{{$user->nid_number}}</span>
                                </td>
                                <td><a href="{{ get_image('assets/images/user/profile/' . $user->image) }}"class="btn btn-block btn--primary mr-2"
                                    download="{{ get_image('assets/images/user/profile/' . $user->image) }}">Download Nid</a></td>
                                <td data-label="@lang('Status')">
                                 @if($user->status == 2)
                                <span class="badge badge-pill bg--warning">@lang('Pending')</span>
                                 @elseif($user->status == 1)
                                <span class="badge badge-pill bg--success">@lang('Approved')</span>
                                 @elseif($user->status == 3)
                                <span class="badge badge-pill bg--danger">@lang('Rejected')</span>
                                 @endif
                                </span>
                            </td>
                             <td data-label="@lang('Action')"> 
                                <div class="row mt-4">
                            <div class="col-md-12">
                                <a href="{{ route('admin.agent.list.details', $user->id) }}" class="icon-btn" data-toggle="tooltip" title="" data-original-title="Details">
                                    <i class="las la-desktop text--shadow"></i>
                                </a>
                            </div>
                        </div>
                            </td>
                            </tr>
                            @empty
                                <tr>
                                    <td class="text-muted text-center" colspan="100%">{{ __($empty_message) }}</td>
                                </tr>
                            @endforelse

                            </tbody>
                        </table><!-- table end -->
                    </div>
                </div>
                <div class="card-footer py-4">
                    {{ $agentlist->links('admin.partials.paginate') }}
                </div>
            </div>
        </div>
    </div>
@endsection
@push('script')
    
<script>
    (function($){
        "use strict";
        $('.editBtn').on('click', function() {
            var modal = $('#editModal');
            modal.find('.act').text($(this).data('act'));
            modal.find('input[name=id]').val($(this).data('id'));
            modal.find('input[name=name]').val($(this).data('name'));
            modal.find('input[name=status]').bootstrapToggle($(this).data('status') == 1 ? 'on' : 'off');
            modal.modal('show');
        });
    })(jQuery);
</script>
@endpush

