@extends('admin.layouts.app')

@section('panel')
<style>
    table.responsive-table {
  border-collapse: collapse;
  padding: 0;
  width: 100%;
  table-layout: fixed;
}

table caption {
  font-size: 1.5em;
  margin: 0.5em 0 0.75em;
}

@media (min-width: 768px) {
  .table-tabs-wrapper {
    background: white;
    border: 1px solid #eee;
    border-top: none;
    border-bottom: none;
  }
}
.table-tabs-wrapper .header-tabs {
  display: flex;
  justify-content: flex-start;
  padding: 1rem;
  border-radius: 3px 3px 0 0;
  background-color: #ffffff;
  border: 1px solid #eee;
  margin-top: 2rem;
  overflow: scroll;
}
@media (min-width: 768px) {
  .table-tabs-wrapper .header-tabs {
    border: none;
    border-top: 1px solid #eee;
  }
}
.table-tabs-wrapper .header-tabs .tab {
  opacity: 0;
  transition: opacity 800ms ease-in-out, transform 600ms ease-in-out;
  max-height: 0;
  overflow: hidden;
  transform: translateY(10%);
}
.table-tabs-wrapper .header-tabs .tab.active {
  opacity: 1;
  max-height: 100%;
  transform: translateY(0);
}
.table-tabs-wrapper .header-tabs .header-tabs--item {
  min-height: 36px;
  border-radius: 3px;
  box-shadow: 0 1px 0 0 rgba(22, 29, 37, 0.05);
  background-image: linear-gradient(to bottom, #ffffff, #f9fafb);
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 1rem;
  margin-right: 0.5rem;
  font-size: 0.875rem;
  border: solid 1px #212b36;
  cursor: pointer;
}
.table-tabs-wrapper .header-tabs .header-tabs--item.active {
  border: solid 2px #02a169;
}
.table-tabs-wrapper .table-tab {
  opacity: 0;
  transition: opacity 800ms ease-in-out, transform 600ms ease-in-out;
  max-height: 0;
  overflow: hidden;
  transform: translateY(10%);
}
.table-tabs-wrapper .table-tab.active {
  opacity: 1;
  max-height: 100%;
  transform: translateY(0);
}

table.tabs-header tr:first-child {
  border-top: none;
}
table tr {
  background-color: white;
  border: 1px solid #eee;
  padding: 0.35em;
  border-radius: 3px;
}
@media (min-width: 768px) {
  table tr {
    border: none;
    border-bottom: 1px solid #eee;
  }
}

table th,
table td {
  padding: 0.62rem 0;
  text-align: left;
}
@media (min-width: 768px) {
  table th,
table td {
    padding: 0.62rem;
  }
}

table th {
  font-size: 0.95rem;
  font-weight: 500;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.25;
  letter-spacing: normal;
  color: #02a169;
}

table tr {
  font-size: 0.875rem;
}

table tbody tr:nth-of-type(odd) {
  background-color: #f4f6f8;
}

@media screen and (max-width: 600px) {
  table {
    border: 0;
  }

  table caption {
    font-size: 1.3em;
  }

  table thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }

  table tr {
    display: block;
    margin-bottom: 0.625em;
  }

  table td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: 0.8em;
    text-align: right;
  }

  table td::before {
    content: attr(data-label);
    float: left;
    font-weight: 500;
    font-size: 0.8rem;
    color: #02a169;
    margin-right: 0.5rem;
  }

  table td:last-child {
    border-bottom: 0;
  }
}

</style>
                <!-- table -->
                <div class="table-tabs-wrapper">
                    <div class="header-tabs">
                        <span class="header-tabs--item active">Pending</span>
                        <span class="header-tabs--item">Approve</span>
                        <span class="header-tabs--item">Cancel</span>
                    </div>

                    <div class="table-tab active">
                        <table class="responsive-table tabs-header">
                            <thead>
                                <tr>
                                  <th scope="col">Agent username</th>
                                  <th scope="col">Transaction</th>
                                  <th scope="col">Image</th>
                                  <th scope="col">Plan name</th>
                                  <th scope="col">Amount</th>
                                  <th scope="col">Status<th>
                                  <th scope="col">Action</th>
                                </tr>
                              </thead>
                              <tbody>
                                  @foreach($agentpending as $k=>$data)
                                <tr>
                                   <td data-label="Agent username">{{$data->user->username}}</td>
                                  <td data-label="Transaction">{{$data->trx}}</td>
                                  <td data-label="Image"><img width="40" src="{{ get_image('assets/images/user/profile/'.$data->image) }}" alt=""></td>
                                  <td data-label="Plan name">{{$data->plan->name}}</td>
                                  <td data-label="Amount">{{$data->plan->price}}</td>
                                  <td data-label="Status"><span class="badge bg-warning text-dark">@lang('Pending')</span></td>
                                  <td data-label="Action">
                                    <a href="{{ route('admin.agent.show', $data->id) }}"
                                           class="icon-btn ml-1 " data-toggle="tooltip" title="" data-original-title="Detail">
                                            <i class="la la-eye"></i>
                                        </a>
                                  </td>
                                </tr>
                                @endforeach
                              </tbody>
                        </table>
                    </div>
                    <div class="table-tab">
                        <table class="responsive-table tabs-header">
                            <thead>
                                <tr>
                                  <th scope="col">Agent username</th>
                                  <th scope="col">Transaction</th>
                                  <th scope="col">Image</th>
                                  <th scope="col">Plan name</th>
                                  <th scope="col">Amount</th>
                                  <th scope="col">Status<th>
                                </tr>
                              </thead>
                              <tbody>
                                @foreach($agentapprove as $k=>$data)
                                <tr>
                                   <td data-label="Agent username">{{$data->user->username}}</td>
                                  <td data-label="Transaction">{{$data->trx}}</td>
                                  <td data-label="Image"><img width="40" src="{{ get_image('assets/images/user/profile/'.$data->image) }}" alt=""></td>
                                  <td data-label="Plan name">{{$data->plan->name}}</td>
                                  <td data-label="Amount">{{$data->plan->price}}</td>
                                  <td data-label="Status"><span class="badge badge-pill bg--success">@lang('Approved')</span></td>
                                </tr>
                                @endforeach
                                
                              </tbody>
                        </table>
                    </div>
                    <div class="table-tab">
                        <table class="responsive-table tabs-header">
                            <thead>
                                <tr>
                                  <th scope="col">Agent username</th>
                                  <th scope="col">Transaction</th>
                                  <th scope="col">Image</th>
                                  <th scope="col">Plan name</th>
                                  <th scope="col">Amount</th>
                                  <th scope="col">Status<th>
                                </tr>
                              </thead>
                              <tbody>
                                @foreach($agentcancel as $k=>$data)
                                <tr>
                                   <td data-label="Agent username">{{$data->user->username}}</td>
                                  <td data-label="Transaction">{{$data->trx}}</td>
                                  <td data-label="Image"><img width="40" src="{{ get_image('assets/images/user/profile/'.$data->image) }}" alt=""></td>
                                  <td data-label="Plan name">{{$data->plan->name}}</td>
                                  <td data-label="Amount">{{$data->plan->price}}</td>
                                  <td data-label="Status"><span class="badge badge-pill bg--danger">@lang('Rejected')</span></td>
                                </tr>
                                @endforeach
                              </tbody>
                        </table>
                    </div>
                    

                </div>

@endsection

@push('script')
<script>
        (function(){
    let tabs_content = document.querySelectorAll('.tabs-content .tab');
    let tab_header_items = document.querySelectorAll('.tab-header--item');
    let metatrader = document.getElementById('metatrader-wrapper');
    const tab_indicator = document.querySelector('.tab-indicator');

    if (document.querySelector('.markets-tab.active')) {
        metatrader.style.display = "none";
    }

    for (let i=0; i< tab_header_items.length; i++) {
        tab_header_items[i].addEventListener('click', event => {
            /*remove all "active" classes*/
            tab_header_items.forEach(e => e.classList.remove("active"));

           if (tab_header_items[i].classList.value.indexOf("markets-tab") > -1) {
               metatrader.style.display = "none";
           } else {
               metatrader.style.display = "flex";
           }

            //add "active" class to clicked element
            tab_header_items[i].classList.add("active");
            //move indicator
            tab_indicator.style.top = `calc(1rem + ${ i * 54 }px)`;

            tabs_content.forEach(e => e.classList.remove("active"));
            tabs_content[i].classList.add("active");
        });
    }

    let table_tabs_content = document.querySelectorAll('.table-tabs-wrapper .table-tab');
    let table_tab_header_items = document.querySelectorAll('.header-tabs .header-tabs--item');

    for (let i=0; i< table_tab_header_items.length; i++) {
        table_tab_header_items[i].addEventListener('click', event => {
            /*remove all "active" classes*/
            table_tab_header_items.forEach(e => e.classList.remove("active"));

            //add "active" class to clicked element
            table_tab_header_items[i].classList.add("active");

            table_tabs_content.forEach(e => e.classList.remove("active"));
            table_tabs_content[i].classList.add("active");
        });
    }
})();
    </script>
    @endpush