@extends('admin.layouts.app')

@section('panel')
<div class="row mb-none-30">
        <div class="col-lg-4 col-md-4 mb-30">
            <div class="card b-radius--10 overflow-hidden mt-30 box--shadow1">
                <div class="card-body">

                    <div class="p-3 bg--white">
                        <div class="">
                            <img src="{{ get_image('assets/images/user/profile/'.$user->image) }}" alt="profile-image"
                                 class="b-radius--10 depo-img">
                        </div>
                    </div>
                    <ul class="list-group">
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Username')
                            <span class="font-weight-bold">
                                <a href="{{ route('admin.users.detail', $user->user_id) }}">{{$user->user->username}}</a>
                            </span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Country')
                            <span
                                class="font-weight-bold">{{$user->country}}</span>
                        </li>
                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Nid Number')
                            <span
                                class="font-weight-bold">{{$user->nid_number}}</span>
                        </li>

                        <li class="list-group-item d-flex justify-content-between align-items-center">
                            @lang('Status')
                            @if($user->status == 2)
                                <span class="badge badge-pill bg--warning">@lang('Pending')</span>
                                 @elseif($user->status == 1)
                                <span class="badge badge-pill bg--success">@lang('Approved')</span>
                                 @elseif($user->status == 3)
                                <span class="badge badge-pill bg--danger">@lang('Rejected')</span>
                                 @endif
                        </li>
                        <form action="{{route('admin.agent.approve')}}" method="POST">
                    @csrf
                    <input type="hidden"  name="id" value="{{$user->id}}">
                    <input type="hidden"  name="plan_id" value="{{ $user->plan_id }}">
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-success">@lang('Approve')</button>
                    </div>
                </form>
                <form action="{{ route('admin.agent.reject')}}" method="POST">
                    @csrf
                    <input type="hidden" name="id" value="{{$user->id}}">
                    <input type="hidden" name="status" value="3">
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-danger">@lang('Reject')</button>
                    </div>
                </form>

                    </ul>
                </div>
            </div>
        </div>
    </div>

@endsection