<!DOCTYPE html>
<html lang="en">

@include('templates.basic.agent.partial.header')
<!-- custom select box css -->
    <link rel="stylesheet" href="{{asset('assets/admin/css/vendor/nice-select.css')}}">
<!--------------- Plan view start ------------------>
<div class="row">

    <div class="col-lg-12">
        <div class="card">
            <div class="row justify-content-center">
                <div class="col-md-6 py-5" style="margin-top: 120px;">

                    @if (session('status'))
                        <h6 class="alert alert-success">{{ session('status') }}</h6>
                    @endif

                    <div class="card shadow p-3 mb-5 bg-body rounded">
                        <div class="card-body">

                            <form action="{{ route('user.agent.withdraw.gate.store') }}" method="POST"
                                enctype="multipart/form-data">
                                @csrf
                                <div class="avatar-upload">
                                    <div class="avatar-edit">
                                        <input type='file' name="image" class="upload" accept=".png, .jpg, .jpeg"
                                            onchange="document.getElementById('output').src = window.URL.createObjectURL(this.files[0])" />
                                        <label for="imageUpload" class="imgUp"></label>
                                    </div>
                                    <img id="output"
                                        src="https://finis.com.bd/wp-content/uploads/2021/07/No-Image.jpg"
                                        alt="" width="250" height="250" style="margin-top: 20px;">
                                </div>
                                <div class="form-group mb-3">
                                    <label for="">Username</label>
                                    <input type="text" name="username" value={{$user->username}} class="form-control" required>
                                </div>
                                <div class="form-group mb-3">
                                    <label for="">Gateway name</label>
                                    <input type="text" name="name" class="form-control" required>
                                </div>
                                <div class="form-group mb-3">
                                    <label for="">process time</label>
                                    <input type="text" name="delay" class="form-control" required>
                                </div>
                                <div class="from-group mb-3">
                                    <label for="" class="card-header bg--dark">@lang('Withdraw Instruction')</label>
                                    <textarea rows="8" class="form-control border-radius-5 nicEdit" name="description"></textarea>
                                </div>
                                <div class="input-group mb-3">
                                    <label class="w-100 font-weight-bold">@lang('Minimum Amount') <span
                                            class="text-danger">*</span></label>
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">{{ $general->cur_text }}</div>
                                    </div>
                                    <input type="text" class="form-control" name="min_limit" placeholder="0"
                                        value="{{ old('min_limit') }}" />
                                </div>
                                <div class="input-group">
                                    <label class="w-100 font-weight-bold">@lang('Maximum Amount') <span
                                            class="text-danger">*</span></label>
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">{{ $general->cur_text }}</div>
                                    </div>
                                    <input type="text" class="form-control" placeholder="0" name="max_limit"
                                        value="{{ old('max') }}" />
                                </div><br>
                                <div class="input-group">
                                    <label class="w-100 font-weight-bold">@lang('Currency') <span
                                            class="text-danger">*</span></label>
                                    <input type="text" name="currency" class="form-control border-radius-5"
                                        value="{{ old('currency') }}" />
                                </div><br>
                                <div class="input-group has_append">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">@lang('1') {{ $general->cur_text }}
                                            @lang('=')</div>
                                    </div>
                                    <input type="text" class="form-control" placeholder="0"
                                        name="rate" value="{{ old('rate') }}" />
                                    <div class="input-group-append">
                                        <div class="input-group-text"><span class="currency_symbol"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="input-group mb-3">
                                    <label class="w-100 font-weight-bold">@lang('Charge') <span
                                            class="text-danger">*</span></label>
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">{{ $general->cur_text }}</div>
                                    </div>
                                    <input type="text" class="form-control" placeholder="0" name="charge"
                                        value="{{ old('charge') }}" />
                                    <div class="input-group-append">
                                        <div class="input-group-text">%
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="form-group mb-3">
                                    <button type="submit" class="btn btn-primary"> @lang('Submit')</button>
                                </div>

                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function(e) {


        $('#image').change(function() {

            let reader = new FileReader();

            reader.onload = (e) => {

                $('#preview-image-before-upload').attr('src', e.target.result);
            }

            reader.readAsDataURL(this.files[0]);

        });

    });
</script>
{{-- LOAD NIC EDIT --}}
<script type="text/javascript">
    (function($,document){
        "use strict";
        bkLib.onDomLoaded(function() {
            $( ".nicEdit" ).each(function( index ) {
                $(this).attr("id","nicEditor"+index);
                new nicEditor({fullPanel : true}).panelInstance('nicEditor'+index,{hasPanel : true});
            });
        });
        $( document ).on('mouseover ', '.nicEdit-main,.nicEdit-panelContain',function(){
            $('.nicEdit-main').focus();
        });
    })(jQuery, document);
</script>
<script>
    (function($, document) {
        "use strict";
        $('input[name=currency]').on('input', function() {
            $('.currency_symbol').text($(this).val());
        });

        $(document).on('click', '.removeBtn', function() {
            $(this).closest('.user-data').remove();
        });

        @if (old('currency'))
            $('input[name=currency]').trigger('input');
        @endif
    })(jQuery, document);
</script>


<!-- main js -->
<script src="{{asset('assets/admin/js/app.js')}}"></script>
<script src="{{ asset($activeTemplateTrue.'/js/vendor/jquery-3.5.1.min.js') }}"></script>
<!-- bootstrap js -->
<script src="{{asset('assets/admin/js/vendor/bootstrap.bundle.min.js')}}"></script>
<!-- bootstrap-toggle js -->
<script src="{{asset('assets/admin/js/vendor/bootstrap-toggle.min.js')}}"></script>

<!-- slimscroll js for custom scrollbar -->
<script src="{{asset('assets/admin/js/vendor/jquery.slimscroll.min.js')}}"></script>
<!-- custom select box js -->
<script src="{{asset('assets/admin/js/vendor/jquery.nice-select.min.js')}}"></script>
<script src="{{ asset('assets/admin/js/nicEdit.js') }}"></script>
<!--------------- Plan view end -------------------->
@include('templates.basic.agent.partial.js')

</html>