@include('templates.basic.agent.partial.header')
<!-- DataTables -->
<link href="{{ asset('assets/agent/assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css') }}"
    rel="stylesheet" type="text/css" />
<link href="{{ asset('assets/agent/assets/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css') }}"
    rel="stylesheet" type="text/css" />

<!-- Responsive datatable examples -->
<link href="{{ asset('assets/agent/assets/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css') }}"
    rel="stylesheet" type="text/css" />


<div class="main-content">
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-xl-6">
                    <div class="card">
                        <div class="card-body">

                            <h4 class="card-title">Agent Payment</h4>

                            <!-- Nav tabs -->
                            <ul class="nav nav-pills nav-justified" role="tablist">
                                <li class="nav-item waves-effect waves-light">
                                    <a class="nav-link active" data-bs-toggle="tab" href="#home-1" role="tab">
                                        <span class="d-block d-sm-none"><i class="fas fa-home"></i></span>
                                        <span class="d-none d-sm-block">Pending</span>
                                    </a>
                                </li>
                                <li class="nav-item waves-effect waves-light">
                                    <a class="nav-link" data-bs-toggle="tab" href="#profile-1" role="tab">
                                        <span class="d-block d-sm-none"><i class="far fa-user"></i></span>
                                        <span class="d-none d-sm-block">Approve</span>
                                    </a>
                                </li>
                                <li class="nav-item waves-effect waves-light">
                                    <a class="nav-link" data-bs-toggle="tab" href="#messages-1" role="tab">
                                        <span class="d-block d-sm-none"><i class="far fa-envelope"></i></span>
                                        <span class="d-none d-sm-block">Cancel</span>
                                    </a>
                                </li>

                            </ul>

                            <!-- Tab panes -->
                            <div class="tab-content p-3 text-muted">
                                <div class="tab-pane active" id="home-1" role="tabpanel">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <table id="datatable-buttons"
                                                        class="table table-bordered dt-responsive nowrap w-100">
                                                        <thead>
                                                            <tr>
                                                                <th>User name</th>
                                                                <th>User Bank info</th>
                                                                <th>Payment method</th>
                                                                <th>Amount</th>
                                                                <th>Status
                                                                <th>
                                                                <th>Action</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @foreach ($agentpending as $k => $data)
                                                                <tr>
                                                                    <td>{{ $data->user->username }}</td>
                                                                    <td>{{ $data->mobile_no }}</td>
                                                                    <td>{{ $data->payment }}</td>
                                                                    <td>{{ $data->amount }}</td>
                                                                    <td>
                                                                        @if ($data->status == 1)
                                                                            <span
                                                                                class="badge bg-success">@lang('Complete')</span>
                                                                        @elseif($data->status == 2)
                                                                            <span
                                                                                class="badge bg-warning text-dark">@lang('Pending')</span>
                                                                        @elseif($data->status == 3)
                                                                            <span
                                                                                class="badge bg-danger">@lang('Cancel')</span>
                                                                        @endif
                                                                    </td>
                                                                    <td>

                                                                        <button class="btn btn-success ml-1 approveBtn"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="@lang('Approve')"
                                                                            data-id="{{ $data->id }}"
                                                                            data-amount="{{ $data->amount }}">
                                                                            <i class="fas la-check"></i>
                                                                            @lang('Approve')
                                                                        </button>

                                                                        <button class="btn btn-danger ml-1 rejectBtn"
                                                                            data-toggle="tooltip"
                                                                            data-original-title="@lang('Reject')"
                                                                            data-id="{{ $data->id }}"
                                                                            data-amount="{{ $data->amount }} ">
                                                                            <i class="fas fa-ban"></i> @lang('Reject')
                                                                        </button>
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div> <!-- end col -->
                                    </div> <!-- end row -->
                                </div>
                                <div class="tab-pane" id="profile-1" role="tabpanel">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <table id="datatable-buttons"
                                                        class="table table-bordered dt-responsive nowrap w-100">
                                                        <thead>
                                                            <tr>
                                                                <th>User name</th>
                                                                <th>User Bank info</th>
                                                                <th>Payment method</th>
                                                                <th>Amount</th>
                                                                <th>Status
                                                                <th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @foreach ($agentapprove as $k => $data)
                                                                <tr>
                                                                    <td>{{ $data->user->username }}</td>
                                                                    <td>{{ $data->mobile_no }}</td>
                                                                    <td>{{ $data->payment }}</td>
                                                                    <td>{{ $data->amount }}</td>
                                                                    <td>
                                                                        @if ($data->status == 1)
                                                                            <span
                                                                                class="badge bg-success">@lang('Complete')</span>
                                                                        @elseif($data->status == 2)
                                                                            <span
                                                                                class="badge bg-warning text-dark">@lang('Pending')</span>
                                                                        @elseif($data->status == 3)
                                                                            <span
                                                                                class="badge bg-danger">@lang('Cancel')</span>
                                                                        @endif
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="tab-pane" id="messages-1" role="tabpanel">
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="card">
                                                <div class="card-body">
                                                    <table id="datatable-buttons"
                                                        class="table table-bordered dt-responsive nowrap w-100">
                                                        <thead>
                                                            <tr>
                                                                <th>User name</th>
                                                                <th>User Bank info</th>
                                                                <th>Payment method</th>
                                                                <th>Amount</th>
                                                                <th>Status
                                                                <th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            @foreach ($agentcancel as $k => $data)
                                                                <tr>
                                                                    <td>{{ $data->user->username }}</td>
                                                                    <td>{{ $data->mobile_no }}</td>
                                                                    <td>{{ $data->payment }}</td>
                                                                    <td>{{ $data->amount }}</td>
                                                                    <td>
                                                                        @if ($data->status == 1)
                                                                            <span
                                                                                class="badge bg-success">@lang('Complete')</span>
                                                                        @elseif($data->status == 2)
                                                                            <span
                                                                                class="badge bg-warning text-dark">@lang('Pending')</span>
                                                                        @elseif($data->status == 3)
                                                                            <span
                                                                                class="badge bg-danger">@lang('Cancel')</span>
                                                                        @endif
                                                                    </td>
                                                                </tr>
                                                            @endforeach
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div> <!-- end col -->
                                    </div> <!-- end row -->
                                </div>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


{{-- APPROVE MODAL --}}
<div id="approveModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">@lang('Approve Withdrawal Confirmation')</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ Route('user.agent.approve') }}" method="POST">
                @csrf
                <input type="hidden" name="id">
                <div class="modal-body">
                    <p>@lang('Have you sent') <span class="font-weight-bold agent-amount text-success"></span>?</p>
                    <p class="withdraw-detail"></p>
                    <textarea name="details" class="form-control pt-3" rows="3" placeholder="@lang('Provide the details. eg: transaction number')" required=""></textarea>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-bs-dismiss="modal">@lang('Close')</button>
                    <button type="submit" class="btn btn-success">@lang('Approve')</button>
                </div>
            </form>
        </div>
    </div>
</div>

{{-- REJECT MODAL --}}
<div id="rejectModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">@lang('Reject Withdrawal Confirmation')</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form action="{{ Route('user.agent.rejected') }}" method="POST">
                @csrf
                <input type="hidden" name="id">
                <div class="modal-body">
                    <strong>@lang('Reason of Rejection')</strong>
                    <textarea name="details" class="form-control pt-3" rows="3" placeholder="@lang('Provide the Details')" required=""></textarea>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-dark" data-bs-dismiss="modal">@lang('Close')</button>
                    <button type="submit" class="btn btn-danger">@lang('Reject')</button>
                </div>
            </form>
        </div>
    </div>
</div>

<script>
    (function($) {
        "use strict";
        $('.approveBtn').on('click', function() {
            var modal = $('#approveModal');
            modal.find('input[name=id]').val($(this).data('id'));
            modal.find('.agent-amount').text($(this).data('amount'));
            modal.modal('show');
        });

        $('.rejectBtn').on('click', function() {
            var modal = $('#rejectModal');
            modal.find('input[name=id]').val($(this).data('id'));
            modal.find('.agent-amount').text($(this).data('amount'));
            modal.modal('show');
        });
    })(jQuery);
</script>
<!--------------- Plan view end -------------------->
</div> <!-- page-wrapper end -->
<!-- jQuery library -->
@include('templates.basic.agent.partial.js')
<script src="{{ asset($activeTemplateTrue . '/js/vendor/jquery-3.5.1.min.js') }}"></script>
<!-- Required datatable js -->
<script src="{{ asset('assets/agent/assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('assets/agent/assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<!-- Buttons examples -->
<script src="{{ asset('assets/agent/assets/libs/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('assets/agent/assets/libs/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js') }}">
</script>
<script src="{{ asset('assets/agent/assets/libs/jszip/jszip.min.js') }}"></script>
<script src="{{ asset('assets/agent/assets/libs/pdfmake/build/pdfmake.min.js') }}"></script>
<script src="{{ asset('assets/agent/assets/libs/pdfmake/build/vfs_fonts.js') }}"></script>
<script src="{{ asset('assets/agent/assets/libs/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ asset('assets/agent/assets/libs/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ asset('assets/agent/assets/libs/datatables.net-buttons/js/buttons.colVis.min.js') }}"></script>

<!-- Responsive examples -->
<script src="{{ asset('assets/agent/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}">
</script>
<script src="{{ asset('assets/agent/assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js') }}">
</script>

<!-- Datatable init js -->
<script src="{{ asset('assets/agent/assets/js/pages/datatables.init.js') }}"></script>
</body>
