
@extends($activeTemplate .'layouts.main')
@section('content')


<div class="min-h-screen bg-[#ebebeb] pb-10">
    <a href="/user/dashboard" class="h-14 w-full bg-[#0c0ce8] pl-4  gap-5 shadow text-white flex items-center "><svg
            xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" aria-hidden="true"
            class="h-7 font-bold cursor-pointer w-7">
            <path fill-rule="evenodd"
                d="M7.72 12.53a.75.75 0 010-1.06l7.5-7.5a.75.75 0 111.06 1.06L9.31 12l6.97 6.97a.75.75 0 11-1.06 1.06l-7.5-7.5z"
                clip-rule="evenodd"></path>
        </svg>
        <h2 class="text-xl font-bold">Refer<!-- --> </h2>
    </a>
    
    <img alt="" loading="lazy" width="200" height="200" decoding="async" data-nimg="1"
        class="mx-auto" style="color:transparent"
        srcset="/assets/icon/refer (1).webp"
        src="/assets/icon/refer (1).webp">
    <div class="flex bg-white m-5 flex-col rounded-lg py-5 shadow items-center">
        <h2 class="text-2xl mb-4 font-bold whitespace-nowrap">Your Reference Link</h2>
        <div class="relative flex w-full justify-center max-w-[24rem]">
            <div class="relative w-full min-w-[200px] h-10 min-w-0"><input type="text" readonly=""
                    class="peer w-full h-full bg-transparent text-blue-gray-700 font-sans font-normal outline outline-0 focus:outline-0 disabled:bg-blue-gray-50 disabled:border-0 transition-all placeholder-shown:border placeholder-shown:border-blue-gray-200 placeholder-shown:border-t-blue-gray-200 border focus:border-2 border-t-transparent focus:border-t-transparent text-sm px-3 py-2.5 rounded-[7px] border-blue-gray-200 focus:border-red-500 pr-20"
                    placeholder=" "  id="referralURL" value="<?php echo e(route('user.refer.register',$user->username)); ?>"><label
                    class="flex w-full h-full select-none pointer-events-none absolute left-0 font-normal peer-placeholder-shown:text-blue-gray-500 leading-tight peer-focus:leading-tight peer-disabled:text-transparent peer-disabled:peer-placeholder-shown:text-blue-gray-500 transition-all -top-1.5 peer-placeholder-shown:text-sm text-[11px] peer-focus:text-[11px] before:content[' '] before:block before:box-border before:w-2.5 before:h-1.5 before:mt-[6.5px] before:mr-1 peer-placeholder-shown:before:border-transparent before:rounded-tl-md before:border-t peer-focus:before:border-t-2 before:border-l peer-focus:before:border-l-2 before:pointer-events-none before:transition-all peer-disabled:before:border-transparent after:content[' '] after:block after:flex-grow after:box-border after:w-2.5 after:h-1.5 after:mt-[6.5px] after:ml-1 peer-placeholder-shown:after:border-transparent after:rounded-tr-md after:border-t peer-focus:after:border-t-2 after:border-r peer-focus:after:border-r-2 after:pointer-events-none after:transition-all peer-disabled:after:border-transparent peer-placeholder-shown:leading-[3.75] text-blue-gray-400 peer-focus:text-red-500 before:border-blue-gray-200 peer-focus:before:!border-red-500 after:border-blue-gray-200 peer-focus:after:!border-red-500">
                </label></div><button
                class="align-middle select-none font-sans font-bold text-center uppercase transition-all disabled:opacity-50 disabled:shadow-none disabled:pointer-events-none text-xs py-2 px-4 bg-blue-500 text-white shadow-md shadow-blue-500/20 hover:shadow-lg hover:shadow-blue-500/40 focus:opacity-[0.85] focus:shadow-none active:opacity-[0.85] active:shadow-none !absolute right-1 top-1 rounded"
                type="button" id="copyBoard">COPY</button>
        </div>
        <p class="p-5 text-sm">You will get 10% commission on the amount deposited by the person you refer. If your
            refer joiner deposits 50,000 BDT then you will get instant 5,000 BDT and you can withdraw that money
            instantly.</p>
    </div>
    <h2 class="text-xl ml-5 mt-10">All Refer: 0</h2>
    <div class="bg-white m-5 my-1 rounded-lg overflow-hidden  border border-gray-300"></div>
</div>


<section class="cmn-section">
    <div class="container">
        <div class="row">
           <div class="col-md-3 mb-30">
                <?php if($user->plan): ?>
                    <p class="text-center mb-2 font-weight-bold"><?php echo app('translator')->get('Your Current Plan '); ?><span class="text-success"><?php echo e(__($user->plan->name)); ?></span></p>
                    <p class="text-center mb-2 font-weight-bold"><?php echo app('translator')->get('Referral Level Up To '); ?><span class="text-danger"><?php echo e(__($user->plan->ref_level)); ?> <?php echo app('translator')->get('Level'); ?></span></p>
                <?php else: ?>
                    <p class="text-center mb-2 font-weight-bold"><?php echo app('translator')->get('You have no plan'); ?></p>
                <?php endif; ?>
                <?php if($user->refBy): ?>
                    <p class="text-center mb-2 font-weight-bold"><?php echo app('translator')->get('My Referral '); ?> <span class="text-primary"><?php echo e(__($user->refBy->username)); ?></span></p>
                <?php endif; ?>
                <ul class="list-group">
                    <?php $__empty_1 = true; $__currentLoopData = $levels; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $level): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                    <li class="list-group-item <?php if($user->plan && $user->plan->ref_level >= $level->level): ?> bg-success-custom brd-success-custom <?php endif; ?>"><span class="float-left"><?php echo app('translator')->get('#Level '); ?><?php echo e(__($level->level)); ?></span><strong class="float-right"><?php echo e(__($level->percent)); ?> %</strong></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                    <li class="list-group-item text-center"><?php echo app('translator')->get('No level found'); ?></li>
                    <?php endif; ?>
                </ul>
            </div>
            
            <div class="col-md-9 mb-30">
                <div class="card table-card">
                    <div class="card-body p-0">
                        <div class="table-responsive--sm">
                            <table class="table table-striped">
                                <thead class="thead-dark">
                                <tr>
                                    <th><?php echo app('translator')->get('Full Name'); ?></th>
                                    <th><?php echo app('translator')->get('User Name'); ?></th>
                                    <th><?php echo app('translator')->get('Email'); ?></th>
                                    <th><?php echo app('translator')->get('Mobile'); ?></th>
                                    <th><?php echo app('translator')->get('Plan'); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php if(count($refUsers) >0): ?>
                                    <?php $__empty_1 = true; $__currentLoopData = $refUsers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $log): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td data-label="<?php echo app('translator')->get('Full Name'); ?>"><?php echo e(__($log->fullname)); ?></td>
                                        <td data-label="<?php echo app('translator')->get('User Name'); ?>"><?php echo e(__($log->username)); ?></td>
                                        <td data-label="<?php echo app('translator')->get('Email'); ?>"><?php echo e($log->email); ?></td>
                                        <td data-label="<?php echo app('translator')->get('Phone'); ?>"><?php echo e($log->mobile); ?></td>
                                        <td data-label="<?php echo app('translator')->get('Plan'); ?>"><?php echo e(__($log->plan ? $log->plan->name : "No Plan")); ?></td>
                                    </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php else: ?>
                                            <tr>
                                                <td colspan="100%" class="text-center"> <?php echo app('translator')->get('No results found'); ?>!</td>
                                            </tr>
                                        <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <?php echo e($refUsers->links($activeTemplate.'paginate')); ?>

            </div>
        </div>
    </div>
</section>
@endsection

@push('script')
<script type="text/javascript">
    (function ($) {
        "use strict";
        $('#copyBoard').click(function(){
            var copyText = document.getElementById("referralURL");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            /*For mobile devices*/
            document.execCommand("copy");
            iziToast.success({message: "Copied: " + copyText.value, position: "topRight"});
        });
    })(jQuery);
</script>
@endpush
