<?php $__env->startSection('content'); ?>
    <?php echo $__env->make($activeTemplate.'breadcrumb', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <section class="cmn-section">
    <div class="container">
        <div class="card">
            <div class="card-header">
                <div class="col-md-12 mb-30">
                    <ul class="right">
                        <li>
                            <a href="<?php echo e(route('ticket')); ?>" class="btn float-right cmn-btn" data-toggle="tooltip" data-placement="top" title="<?php echo app('translator')->get('My Support Ticket'); ?>">
                                <i class="fa fa-eye"></i> <?php echo app('translator')->get('See All'); ?>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="card-body">
                <div class="row mb-60-80">
                    <div class="col-md-12 mb-30">
                        <form action="<?php echo e(route('ticket.store')); ?>" role="form" method="post" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <div class="row ">
                                <div class="form-group col-md-6">
                                    <label for="name"><?php echo app('translator')->get('Name'); ?></label>
                                    <input type="text"  name="name" value="<?php echo e($user->firstname . ' '.$user->lastname); ?>" class="form-control form-control-lg" placeholder="<?php echo app('translator')->get('Enter Name'); ?>" required readonly>
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="email"><?php echo app('translator')->get('Email address'); ?></label>
                                    <input type="email"  name="email" value="<?php echo e($user->email); ?>" class="form-control form-control-lg" placeholder="<?php echo app('translator')->get('Enter your Email'); ?>" required readonly>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-12">
                                    <label for="website"><?php echo app('translator')->get('Subject'); ?></label>
                                    <input type="text" name="subject" value="<?php echo e(old('subject')); ?>" class="form-control form-control-lg" placeholder="<?php echo app('translator')->get('Subject'); ?>" >
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 form-group">
                                    <label for="inputMessage"><?php echo app('translator')->get('Message'); ?></label>
                                    <textarea name="message" id="inputMessage" rows="12" class="form-control"><?php echo e(old('message')); ?></textarea>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-12">
                                    <label for="inputAttachments"><?php echo app('translator')->get('Attachments'); ?></label>
                                </div>
                                <div class="col-9 file-upload">
                                    <input type="file" name="attachments[]" id="inputAttachments" class="form-control form-control" />
                                    <div id="fileUploadsContainer"></div>
                                </div>
                                <div class="col-3">
                                    <button type="button" class="btn cmn-btn extraTicketAttachment">
                                        <i class="fa fa-plus"></i>
                                    </button>
                                </div>
                                <div class="col-sm-12 ticket-attachments-message text-muted">
                                    <?php echo app('translator')->get("Allowed File Extensions: .jpg, .jpeg, .png, .pdf, .doc, .docx"); ?>
                                </div>
                            </div>
                            <div class="row form-group justify-content-center">
                                <div class="col-md-12">
                                    <button class="btn cmn-btn w-100 bg-3  text-center mt-3" type="submit" id="recaptcha" >&nbsp;<?php echo app('translator')->get('Submit Now'); ?></button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .editor-statusbar{
            display: none;
        }
        .text-xs-center {
            text-align: center;
        }

        .g-recaptcha {
            display: inline-block;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('script'); ?>
    <script>
        (function ($) {
            "use strict";
            $('.extraTicketAttachment').click(function(){
                $("#fileUploadsContainer").append('<input type="file" name="attachments[]" class="form-control form-control mt-2" required />')
            });
        })(jQuery);

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate .'layouts.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home2/incomeco/public_html/tpx24.com/core/resources/views/templates/basic/user/support/create.blade.php ENDPATH**/ ?>